Package it.ernytech.tdlib

## Class TdApi.DeleteChatReplyMarkup

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.DeleteChatReplyMarkup

Enclosing class:
  TdApi

    public static class TdApi.DeleteChatReplyMarkup
    extends TdApi.Function

Deletes the default reply markup from a chat. Must be called after a one-time keyboard or a ForceReply reply markup has been used. UpdateChatReplyMarkup will be sent if the reply markup will be changed.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `messageId` The message identifier of the used keyboard.

### Constructor Summary

Constructors
`DeleteChatReplyMarkup()` Default constructor.
`DeleteChatReplyMarkup​(long chatId, long messageId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### messageId

    public long messageId

The message identifier of the used keyboard.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DeleteChatReplyMarkup

    public DeleteChatReplyMarkup()

Default constructor.

#### DeleteChatReplyMarkup

    public DeleteChatReplyMarkup​(long chatId,
                                 long messageId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `messageId` - The message identifier of the used keyboard.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR